# H245_VideoCapability Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_h261VideoCapability, e_h262VideoCapability, e_h263VideoCapability, e_is11172VideoCapability, e_genericVideoCapability, e_extendedVideoCapability }

## Public Member Functions

| H245_VideoCapability (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_H261VideoCapability & ()
| operator const H245_H261VideoCapability & () const
| operator H245_H262VideoCapability & ()
| operator const H245_H262VideoCapability & () const
| operator H245_H263VideoCapability & ()
| operator const H245_H263VideoCapability & () const
| operator H245_IS11172VideoCapability & ()
| operator const H245_IS11172VideoCapability & () const
| operator H245_GenericCapability & ()
| operator const H245_GenericCapability & () const
| operator H245_ExtendedVideoCapability & ()
| operator const H245_ExtendedVideoCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_VideoCapability::Choices

Enumerator:

  e_nonStandard |
  e_h261VideoCapability |
  e_h262VideoCapability |
  e_h263VideoCapability |
  e_is11172VideoCapability |
  e_genericVideoCapability |
  e_extendedVideoCapability |

## Constructor & Destructor Documentation

H245_VideoCapability::H245_VideoCapability | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_VideoCapability::operator H245_NonStandardParameter & | ( |  | ) |

H245_VideoCapability::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_VideoCapability::operator H245_H261VideoCapability & | ( |  | ) |

H245_VideoCapability::operator const H245_H261VideoCapability & | ( |  | ) | const

H245_VideoCapability::operator H245_H262VideoCapability & | ( |  | ) |

H245_VideoCapability::operator const H245_H262VideoCapability & | ( |  | ) | const

H245_VideoCapability::operator H245_H263VideoCapability & | ( |  | ) |

H245_VideoCapability::operator const H245_H263VideoCapability & | ( |  | ) | const

H245_VideoCapability::operator H245_IS11172VideoCapability & | ( |  | ) |

H245_VideoCapability::operator const H245_IS11172VideoCapability & | ( |  | ) | const

H245_VideoCapability::operator H245_GenericCapability & | ( |  | ) |

H245_VideoCapability::operator const H245_GenericCapability & | ( |  | ) | const

H245_VideoCapability::operator H245_ExtendedVideoCapability & | ( |  | ) |

H245_VideoCapability::operator const H245_ExtendedVideoCapability & | ( |  | ) | const

PBoolean H245_VideoCapability::CreateObject | ( |  | ) |

PObject* H245_VideoCapability::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h